Oro\Bundle\ContactBundle\Entity\Contact:
  contact_entity:
    firstName: 'New'
    lastName: 'Contact'
    owner: '@admin'
    organization: '@organization'

Oro\Bundle\AccountBundle\Entity\Account:
  account_entity:
    name: 'New Account'
    organization: '@organization'

Oro\Bundle\CallBundle\Entity\CallStatus:
  grid_call_status:
    __construct: ['grid_status']
    label: 'Grid Status'

Oro\Bundle\CallBundle\Entity\CallDirection:
  grid_call_direction:
    __construct: ['grid_direction']
    label: 'Grid Direction'

Oro\Bundle\CallBundle\Entity\Call:
  call_entity:
    subject: 'New Call'
    phoneNumber: '1'
    notes: ''
    organization: '@organization'
    owner: '@admin'
    callStatus: '@grid_call_status'
    direction: '@grid_call_direction'

Oro\Bundle\TaskBundle\Entity\Task:
  task_entity:
    subject: 'New Task'
    description: ''
    status: '@task_status_open'
    taskPriority: '@task_priority_normal'
    owner: '@admin'
    createdBy: '@admin'
    organization: '@organization'
    dueDate: '<dateTime()>'

Oro\Bundle\SalesBundle\Entity\Customer:
  sales_customer_entity:
    account: '@account_entity'

Oro\Bundle\SalesBundle\Entity\Opportunity:
  opportunity_entity:
    name: 'New Opportunity'
    owner: '@admin'
    organization: '@organization'
    status: '@opportunity_status_in_progress'
    customerAssociation: '@sales_customer_entity'

Oro\Bundle\SalesBundle\Entity\Lead:
  lead_entity:
    name: 'New Lead'
    owner: '@admin'
    organization: '@organization'
    status: '@lead_status_new'

Oro\Bundle\ChannelBundle\Entity\Channel:
  sales_channel_entity:
    __calls:
      - setEntities: [ [ '@channel-entity-b2bcustomer' ] ]
    owner: '@organization'
    name: 'Business Customers'
    channelType: 'b2b'
    status: 1
    customerIdentity: 'Oro\\Bundle\\SalesBundle\\Entity\\B2bCustomer'

Oro\Bundle\ChannelBundle\Entity\EntityName:
  channel-entity-b2bcustomer:
    __construct: ['Oro\\Bundle\\SalesBundle\\Entity\\B2bCustomer']
    channel: '@sales_channel_entity'

Oro\Bundle\SalesBundle\Entity\B2bCustomer:
  b2b_customer_entity:
    name: 'New B2B Customer'
    owner: '@admin'
    organization: '@organization'
    account: '@account_entity'
    dataChannel: '@sales_channel_entity'

Oro\Bundle\ContactUsBundle\Entity\ContactRequest:
  contact_request_entity:
    firstName: 'New'
    lastName: 'Contact Request'
    emailAddress: 'new_contact_request@example.org'
    phone: ''
    owner: '@organization'
    comment: 'Test comment message'

Oro\Bundle\CaseBundle\Entity\CasePriority:
  grid_case_priority:
    __construct: [ 'grid_priority' ]
    label: 'Grid Priority'
    order: 1

Oro\Bundle\CaseBundle\Entity\CaseStatus:
  grid_case_status:
    __construct: [ 'grid_status' ]
    label: 'Grid Status'
    order: 1

Oro\Bundle\CaseBundle\Entity\CaseSource:
  grid_case_source:
    __construct: [ 'grid_source' ]
    label: 'Grid Source'

Oro\Bundle\CaseBundle\Entity\CaseEntity:
  case_entity:
    subject: 'New Case'
    description: ''
    owner: '@admin'
    organization: '@organization'
    source: '@grid_case_source'
    priority: '@grid_case_priority'
    status: '@grid_case_status'

Oro\Bundle\PromotionBundle\Entity\DiscountConfiguration:
  discount_configuration_entity:
    type: 'line_item'
    options:
      discount_type: 'amount'
      discount_currency: 'USD'
      discount_product_unit_code: 'item'
      discount_value: 1
      apply_to: 'each_item'
      maximum_qty: 100
